Package org.osgi.resource.dto

# Class ResourceDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.resource.dto.ResourceDTO

Direct Known Subclasses:
  `BundleRevisionDTO`

public class ResourceDTO extends DTO
Data Transfer Object for a Resource.

Author:
  $Id: ResourceDTO.java 1614569 2014-07-30 07:22:32Z cziegeler $

## Field Summary

Fields
Modifier and Type
Field
Description
`List<CapabilityDTO>`
`capabilities`
The capabilities of the resource.
`int`
`id`
The unique identifier of the resource.
`List<RequirementDTO>`
`requirements`
The requirements of the resource.

## Constructor Summary

Constructors
Constructor
Description
`ResourceDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
The unique identifier of the resource.

This identifier is transiently assigned and may vary across restarts.

### capabilities

public List<CapabilityDTO> capabilities
The capabilities of the resource.

See Also:
  - `Resource.getCapabilities(String)`

### requirements

public List<RequirementDTO> requirements
The requirements of the resource.

See Also:
  - `Resource.getRequirements(String)`

## Constructor Details

### ResourceDTO

public ResourceDTO()